#!/bin/sh

version=$(rpm -q --specfile --qf='%{version}\n' ../SPECS/nodejs.spec | head -n1)
if [[ ! -f node-v${version}.tar.gz ]]; then
	wget http://nodejs.org/dist/v${version}/node-v${version}.tar.gz
fi
tar -zxf node-v${version}.tar.gz
# openssl should always be stripped because of llcensing
rm -rf node-v${version}/deps/openssl

tar -cf node-v${version}-stripped.tar node-v${version}
xz -e9 node-v${version}-stripped.tar
